cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC 4 MCU

Anonymous
Not applicable

CySmart is a series of Bluetooth Low Energy (BLE) test and debug utilities from Cypress. These are provided to simply the design and debug of BLE solutions using the new PSoC 4 BLE and PRoC BLE product.

   

 

   

The following CySmart utilities are available:

   

 

   

- CySmart BLE USB Dongle: This is a USB dongle that enables your Windows-based PC to act as a Bluetooth Low Energy host. The dongle is included with the new BLE Pioneer Kit.. This dongle will connect to your BLE designs using PSoC 4 BLE or PRoC BLE, to complete the other side of the wireless communication. Bundled with the CySmart for Windows utility, it is a powerful BLE test and debug utility.

   

 

   

- CySmart for Windows: This is a Windows GUI-based application that works in conjunction with the CySmart BLE USB Dongle above. It allows advanced test and debug capabilities by allowing you to visualize the entire BLE Protocol Stack in a structured, graphical user interface. You can use this utility to Scan and Connect to any advertising BLE devices, Listen for Notifications, Read and Write Attributes, etc. in realtime. 

   

 

   

- CySmart for iOS and CySmart for Android: These are mobile applications from Cypress that allow you to connect to your BLE designs made on the BLE Pioneer Kit. The mobile apps come pre-loaded with support for all standard BLE SIG Profile and also Cypress's custom BLE Profiles for CapSense, RGB LEDs, etc.

0 Likes
Reply
1 Solution
HeLi_263931
Honored Contributor II

The Galaxy Nexus cannot do Bluetooth 4.0 (which BLE is part of): http://www.gsmarena.com/samsung_galaxy_nexus_i9250-4219.php . So its rather that your phone is not compatible with the PSoC BLE...

View solution in original post

0 Likes
Reply
11 Replies
Anonymous
Not applicable

Hello gagan,

   

 

   

the CySmart is "incompatible with my device" on Samsung Galaxy Nexus with Android 4.3.

   

Bluetooth is enabled.

   

 

   

Regards,

   

günter

0 Likes
Reply
HeLi_263931
Honored Contributor II

The Galaxy Nexus cannot do Bluetooth 4.0 (which BLE is part of): http://www.gsmarena.com/samsung_galaxy_nexus_i9250-4219.php . So its rather that your phone is not compatible with the PSoC BLE...

View solution in original post

0 Likes
Reply
Anonymous
Not applicable

Hello,

   

 

   

thanks for your help. With LG Nexus5 it works fine.

   

 

   

Regards,

   

Günter

0 Likes
Reply
Anonymous
Not applicable

Is there an expected CySmart coming for Windows Phone? 

   

Thanks

   

 

   

Edit:  Thanks for the notes.  Our team is developing apps for all of the major platforms, and the Android and iOS CySmart apps make a great test platform to work through bugs.  A port to Windows Phone 8.1 would be fantastic for us as well.

0 Likes
Reply
JoMe_264151
Expert II

Did you try to run the CySmart PC application on a windows phone? I even don't know whether that is possible, but windows is windows...

   

 

   

Bob

0 Likes
Reply
Anonymous
Not applicable

 The windows PC version won't work on windows phone.  They call it "windows", but it provides a completely different system API. 

   

That and the phone is likely an ARM processor, and the x86-64 machine code won't be compatible. However, there are quite a few new tablets (perhaps a few phones) that are based on Intel's Atom processors that run complete windows. 

   

-Brent 

0 Likes
Reply
Anonymous
Not applicable

Hi

   

Does any one have a definitive list of supported Android devices. I was trying to use a HTC One S, which claims to support Bluetooth V4.0 and the low energy part of that, but CySmart still maintains that the device is not compatible..........

   

Many thanks

   

   Dave

0 Likes
Reply
HeLi_263931
Honored Contributor II

The offical specs (http://www.htc.com/us/smartphones/htc-one-s/#/ ) do not mention BLE at all, just Bluetooth 4.0 (which is not the same). Also, the Android 4.0 is too old, BLE support was added with Android 4.3 IIRC.

   

So to check with a phone: it needs to have Android 4.3 or higher, and BLE should be mentioned explicitely in its spec.

0 Likes
Reply
Anonymous
Not applicable

Hi Gagan! 

   

I have a Windows computer with Bluetooth, which I can use to connect to the BLE device. But CySmart doesn't find the Bluetooth connector. Is it mandatory to have a Cypress BT Dongle?

   

On the other hand, I downloaded the Android CySmart app on my Samsung S4. I can find and pair with my BLE device, but when I select the 'Bootloader Service' on the Android app, I get a 'Unable to pair... Check whether the device supports pairing', but it was already paired. Question on the Android app is, can I update the firmware using this app?

   

Thanks a lot for your time and your answer!

0 Likes
Reply
Anonymous
Not applicable

CySmart PC Tool has been designed to work with all Windows machine, irrespective of whether they have internal Bluetooth adaptor or not. There were not lot of PCs in the market at the time of its launch. 🙂

   

That is why the external BLE Dongle is required. The CySmart PC Tool talks to the BLE dongle over USB-UART and then does the appropriate operation.

   

 

   

On the other hand, most of the Android (android 4.3 or later) and iOS (iOS 7 and later) devices already had BLE enabled, so the CySmart talks directly to their adaptor.

   

 

   

Which project are you using on the Peripheral? Does it support Bootloading?

0 Likes
Reply
LuMo_1653921
New Contributor

Hi.

   

is there any solution to use the  .NET dlls under LabView? or any LabView Drivers?

   

I get this from CySmart 1.2_API_Reference_Guide:

   

--------------------------------

   

"Development Platform
The CySmart APIs are developed in C# and built for .NET framework 2.0. To use the CySmart APIs, add a reference to the following CySmart DLLs in your C# project. The DLLs can be located in the CySmart installation directory.
 cybledonglecommunicator.dll
 cybleautobase.dll
 cyblecommonbase.dll

   

"

   

--------------

0 Likes
Reply